Zandronum Chat @ irc.zandronum.com
#zandronum
Get the latest version: 3.0
Source Code

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001658Zandronum[All Projects] Bugpublic2014-01-12 00:252015-01-05 23:03
ReporterGummywormz 
Assigned ToTorr Samaho 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformMicrosoftOSWindowsOS VersionXP/Vista/7
Product Version1.2 
Target Version2.0Fixed in Version2.0 
Summary0001658: Floor_Waggle acts differently between Hexen map Format and UDMF
DescriptionFloor_Waggle in the Hexen map format makes objects and players jump in the air at certain higher numbers. However, when in UDMF map format, this does not occur. Behavior in the latest (G)ZDoom is that the player / item bouncing occurs in both UDMF and Hexen map formats. This also occurs in 1.2
Steps To Reproduce* Load up the test wad with DOOM II and go to map01. Players and items bounce after a bit on the right side.
* Go to map02, players / items will no longer bounce.
Attached Files? file icon Floor_Waggle_Fall_Bouncing.wad [^] (38,658 bytes) 2014-01-12 00:25

- Relationships

-  Notes
User avatar (0007970)
Torr Samaho (administrator)
2014-01-12 09:04

Is it any different in GZDoom 880?
User avatar (0007980)
Gummywormz (reporter)
2014-01-12 16:09

Same as in current Zandronum. (Right side does not bounce items in UDMF.)
User avatar (0008031)
Beed28 (reporter)
2014-01-16 22:58

Finally decided to register. I would like to say that I discovered this problem with a mod of mine, where one of the features would move the map through Floor_Waggle. When I was playing around with it long ago, I set it to quite a high value, and the result made it kick players and objects into the air. I actually liked this bouncing effect, but then I discovered the other day that it didn't bounce players in maps in the UDMF format, and felt gutted that it's lost its bounciness.

I looked up on the ZDoom Wiki at the UDMF article and it stated that for maps to remain compatible with UDMF, it needed a "dropactors = true;" line for every tagged sector, so I thought that was the reason why it wouldn't bounce stuff, so I took a map originally done in Hexen format where my mod did bounce players, painstakingly converted it into UDMF, and added "dropactors = true;" to every sector in the map. Surprisingly, this didn't fix the issue where the players wouldn't bounce.

As I realised that the maps that I play this mod on were being updated from Hexen to UDMF format, I felt powerless to fix the issue, and began losing hope.

At a last resort, I made the two test maps for DOOM II (the same one Gummywormz attached) to show to the ZDoom community to demonstrate my problem, when I discovered that the player and objects did bounce in the UDMF map in the latest GZDoom! At that moment, I instantly deduced it as a bug in Zandronum.

I would like to say thank you for submitting the report, Gummywormz, when I was hesitant at first, but eventually, he convinced me to join.
User avatar (0008035)
Torr Samaho (administrator)
2014-01-17 07:08

Can somebody check when this was fixed in ZDoom?
User avatar (0008049)
Gummywormz (reporter)
2014-01-17 23:26

It appears fixed in 2.6.0. (Which makes sense, considering one of the changes in 2.5.0 was "smoother floor_waggle")
User avatar (0008050)
Beed28 (reporter)
2014-01-18 00:22
edited on: 2014-01-18 00:25

Alright, I've been testing stuff as well. I've downloaded three versions of plain ol' ZDoom with none of the fancy GZDoom OpenGL features from the Version History wiki page.

In versions 2.3.0 (r1455) and 2.3.1 (r1480), the player and objects didn't bounce in the UDMF map, just like in Zandronum. However, when I tried it with version 2.4.0 (r2065, although the wiki says r2075), the player and objects did bounce in the UDMF map.

Prehaps there's something there inbetween ZDoom r1480 and ZDoom r2065 that fixes this issue?

User avatar (0008051)
Torr Samaho (administrator)
2014-01-18 10:36

Zandronum 2.0 already contains everything from ZDoom up to revision 2509. According to Gummywormz it's not working in ZDoom 2.5.0, so even if something in 2.4.0 fixed this, 2.5.0 broke it again. We need to find the fix that was made after 2.5.0.
User avatar (0008052)
Beed28 (reporter)
2014-01-18 11:50

Yep, just tried now. It's broken again in 2.5.0 (r2508), but fixed again in 2.6.0 (r3730). For fun, I tried all future versions after that and it doesn't appear to brake again.
User avatar (0008101)
Beed28 (reporter)
2014-01-19 17:01

I want to ask. Where do I download the ZDoom SVN revisions between r2508 and r3730? It would make the revision where it's fixed easier to pinpoint.
User avatar (0008102)
Gummywormz (reporter)
2014-01-19 17:09

You have to compile them yourself (which I have been unable to do so far) or browse through the commits on GitHub (which are not properly searchable).
User avatar (0009410)
Watermelon (developer)
2014-06-15 15:06

If you want compiling help, please PM me
User avatar (0011287)
Edward-san (developer)
2015-01-05 17:32

gzdoom r1250 fixed the issue (got merged in zdoom in r3329).
User avatar (0011304)
WaTaKiD (updater)
2015-01-05 22:58

after testing with 2.0-r150105-2058, issue seems fixed
User avatar (0011305)
cobalt (updater)
2015-01-05 23:02
edited on: 2015-01-05 23:02

Issue addressed by commit 23ef572: out of sequence fix backport from GZDoom revision 1250: - Fixed some uninitialized values in UDMF init that Valgrind was complaining about. - Added checks for empty UDMF maps to prevent This addresses the 2.0 specific problems reported in 1658.
Committed by Benjamin Berkels [Torr Samaho] on Monday 05 January 2015 21:58:48

Changes in files:
 src/p_udmf.cpp | 8 ++++++++
 1 files changed, 8 insertions(+), 0 deletions(-)


Issue Community Support
This issue is already marked as resolved.
If you feel that is not the case, please reopen it and explain why.
Supporters: Beed28
Opponents: No one explicitly opposes this issue yet.

- Issue History
Date Modified Username Field Change
2014-01-12 00:25 Gummywormz New Issue
2014-01-12 00:25 Gummywormz File Added: Floor_Waggle_Fall_Bouncing.wad
2014-01-12 09:04 Torr Samaho Note Added: 0007970
2014-01-12 16:09 Gummywormz Note Added: 0007980
2014-01-16 22:58 Beed28 Note Added: 0008031
2014-01-17 07:08 Torr Samaho Note Added: 0008035
2014-01-17 23:26 Gummywormz Note Added: 0008049
2014-01-18 00:22 Beed28 Note Added: 0008050
2014-01-18 00:25 Beed28 Note Edited: 0008050 View Revisions
2014-01-18 10:36 Torr Samaho Note Added: 0008051
2014-01-18 10:37 Torr Samaho Product Version 2.0-beta => 1.2
2014-01-18 11:50 Beed28 Note Added: 0008052
2014-01-19 17:01 Beed28 Note Added: 0008101
2014-01-19 17:09 Gummywormz Note Added: 0008102
2014-06-15 15:06 Watermelon Note Added: 0009410
2014-06-15 15:06 Watermelon Status new => feedback
2015-01-05 17:32 Edward-san Note Added: 0011287
2015-01-05 19:20 Edward-san Assigned To => Torr Samaho
2015-01-05 19:20 Edward-san Status feedback => assigned
2015-01-05 22:58 WaTaKiD Note Added: 0011304
2015-01-05 23:01 cobalt Status assigned => needs testing
2015-01-05 23:01 cobalt Target Version => 2.0
2015-01-05 23:01 cobalt Steps to Reproduce Updated View Revisions
2015-01-05 23:02 cobalt Note Added: 0011305
2015-01-05 23:02 Dusk Note Edited: 0011305 View Revisions
2015-01-05 23:03 Dusk Status needs testing => resolved
2015-01-05 23:03 Dusk Fixed in Version => 2.0
2015-01-05 23:03 Dusk Resolution open => fixed






Questions or other issues? Contact Us.

Links


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker